tixNBFrame(n)

NAME
tixNBFrame - Create and manipulate Tix NoteBook Frame widgets

SYNOPSIS
tixNBFrame pathName ?options?
-background    -borderWidth    -cursor    -disabledForeground
-foreground    -font    -height    -highlightColor
-highlightThickness    -relief    -takeFocus
-width

WIDGET-SPECIFIC OPTIONS
[-backpagecolor backPageColor BackPageColor] Specifies the color for the extra space on the row of tabs which is not covered by any page tabs. [-focuscolor focusColor FocusColor] Specifies the color for the focus highlight. [-inactivebackground inactiveBackground InactiveBackground] Specifies the color for the inactive tabs (the active tab always have the same background color as the notebook). [-tabpadx tabPadX Pad] The horizontal padding around the text labels on the page tabs. [-tabpady tabPadY Pad] The vertical padding around the text labels on the page tabs.

DESCRIPTION
The NBFrame widget is used privately inside the TixNoteBook(n) widget to display the page tabs. The application programmer should never create a NBFrame widget directly. The sole purpose of this maual page is to describe the options that can be used to configure the appearance of the TixNoteBook widget.

The name of the NBFrame subwidget inside the TixNoteBook widget is called nbframe. It can be accessed using the subwidget command of the TixNoteBook widget or the -options switch. See below for an example.

EXAMPLE
set nb [tixNoteBook .nb -options {
    nbframe.BackPageColor gray60 }] $nb subwidget nbframe config -font fixed $nb add page1 -label "Page1" set page [$nb subwidget page1] button $page.b1 pack $page.b1 pack $nb -expand yes -fill both

KEYWORDS
Tix(n), tixNoteBook(n)